Page MenuHomePhabricator

Help with massmessage!
Closed, ResolvedPublic

Description

What is the problem?

I will be distributing the 2019 Community Insights survey to many audiences using massmessage, and I have never used it before!

How can we help you?

If someone on your team could meet with me to guide me through the process, I would greatly appreciate it!

What does success look like?

I'll feel confident using the massmessage tool.

What is your deadline?

August 28

Related Objects

StatusSubtypeAssignedTask
ResolvedTrizek-WMF
ResolvedElitre

Event Timeline

Rmaung created this task.Aug 19 2019, 7:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2019, 7:50 PM

@Rmaung: Do the (non-public) page "Making announcements" on WMF's officewiki and https://www.mediawiki.org/wiki/Help:Extension:MassMessage help?

I have reviewed those pages, but I'm still a bit unclear on the process and code. I met with Sherry earlier today and she recommended that I open a ticket here so that someone from Community Relations could walk through it with me. I'll be using it to distribute the CI survey to many different user lists and it's important that I get it right.

Elitre added a subscriber: Elitre.EditedAug 21 2019, 11:31 AM

We'll let you know something ASAP. Thanks for filing this. It would be really important for us to understand where the documentation fails. (Well, the Mediawiki page is almost unintelligible if you ask me, but I would have hoped that the Office wiki one worked - maybe it's wishful thinking and that too is useless for newcomers. In any case, it's absolutely understandable that one wouldn't perform such a delicate action for the first time without supervision/guidance).

Elitre claimed this task.Aug 21 2019, 11:37 AM
Elitre triaged this task as High priority.Aug 21 2019, 11:44 AM

Also, I'd need to know what you mean that you'll distribute the survey this way. Have you drafted a message somewhere already? Will it need to be translated? Thanks.

Thank you @Elitre ! While some community members will receive a link to the survey via email (movement leaders and affiliate representatives), contributors will get a link to the survey via massmessage. These are currently being translated. I have MassMessage rights and an open request to ca@wikimedia.org for TranslationAdmin rights. Are there other rights I'll need to request?

Elitre added a comment.EditedAug 21 2019, 4:52 PM

So the translations aren't on Meta, right? And you are referring to translations of the survey itself, or are you also getting the invitation translated, which is what we'd need for the MassMessage?
I think those are the 2 rights you need.

Elitre added a subscriber: Whatamidoing-WMF.EditedAug 26 2019, 8:16 AM

@Whatamidoing-WMF @Rmaung I thought https://meta.wikimedia.org/wiki/Community_Insights/Translation/2019/1-Invitation was the only message out there, then I stumbled on https://meta.wikimedia.org/wiki/Community_Insights/Translation/2019/General_information and https://meta.wikimedia.org/wiki/Community_Insights/Translation/2019/1-Invitation_to_program_coordinators. I understand that the former is the actual one that Rebecca will need to deliver on wikis (the others being for email only?), but I appreciate confirmation.

Also, Rebecca, we had talked about headers not being translatable. Do you mind if I edit the message so that, while the header will still be in English, it will feature a sort of translated "subtitle"? (I actually won't be doing much else than removing the word "subject:" from the message, which in any case seems to be not useful anymore).

Elitre closed this task as Resolved.Aug 29 2019, 9:17 AM

Rebecca and I met twice, and I provided the guidance I could offer on MassMessage and Multilingual message. I wish Rebecca all the best with this year's Insights. Work with CommRel continues on the other task.